body {
    background-color: var(--bs-ls-grey-50);
    overflow-x: hidden;
}

a { text-decoration: none; }
.form-signin {
    width: 100%;
    max-width: 330px;
    padding: 15px;
    margin: 50px auto auto;
}

#navbarContainer {
    background-color: rgba(var(--bs-ls-dark-rgb),var(--bs-bg-opacity)) !important;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1000;
    width: 100vw;
    height: 40px;
    display: flex;
    align-items: center;
    /*overflow-x: hidden;*/
}

#navbarContainer img {
    height: 1.5rem;
    width: auto;
}

#navbarSupportedContent {
    display: flex;
    align-items: center;
    height: 100%;
}

#navbarDropdown {
    padding: 0;
    color: white;
}

.navbar-nav .dropdown-menu {

    width: max-content;
    background-color: #222222;
    border-radius: 0;
    margin-top: 7px;
    padding-top: 0;
    padding-bottom: 0;
    color: white;
}

.dropdown-content {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.navbar-nav .dropdown-menu a {
    color: white;
    padding: 0.5rem 1rem;
}

.popup-menu-right .dropdown-item {
    color: white;
    height: 3rem;
    display: flex;
    justify-content: flex-start;
    align-items: center;
}


.dropdown-item:hover {
    background-color: #5B5B5B;
}

.popup-menu-right .dropdown-item span {
    width: 2rem;
}

.dropdown-divider {
    background-color: #5B5B5B;
    margin: 0;
}

#footer-logo-container{
    position: relative;
    height: 25px;
    display: flex;
}

#footer-logo-container img:first-child {
    position: absolute;
    opacity: 0;
    height: 20px;
    top: 0;
    left: 0;
}

#footer-logo-container img:last-child {
    position: relative;
    opacity: 1;
    height: 20px;
    top: 0;
    left: 0;
}

#footer-logo-container:hover img:first-child {
    opacity: 1;
    transition: .1s ease-in;
}

#footer-logo-container:hover img:last-child {
    opacity: 0;
    transition: .1s ease-in;

}

.form-signin .checkbox {
    font-weight: 400;
}

.form-signin .form-control {
    position: relative;
    box-sizing: border-box;
    height: auto;
    padding: 10px;
    font-size: 16px;
}

.form-signin .form-control:focus {
    z-index: 2;
}

.form-signin input[type="email"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.form-signin input[type="password"] {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.select-readonly {
    background: var(--bs-ls-grey-100);
    pointer-events: none;
}


/*surcharge du bootstrap ls*/
.custom-file-label::after {
    background-color: #e5e5e5;
}


.form-white {
    padding-top: 15px;
    padding-bottom: 15px;
    background-color: #fff !important;
}

tr:hover {
    box-shadow: 0 0 10px rgba(0, 0, 0, .25);
}


.custom-file-label {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}


.title {
    padding: 5px;
    margin-bottom: 15px;
    border: 1px solid #fff;
    border-bottom: 1px solid #ccc;
    text-align: center;
    border-radius: 3px;
}


.borderless {
    border-color: transparent !important;
}

.custom-file-input ~ .custom-file-label::after {
    content: "Parcourir";
}


.nav-link:hover {
    color: var(--bs-ls-primary-500);
}

.top-right {
    position: absolute;
    top: 10px;
    right: 30px;
    z-index: 1000;
}


.bs-form-like {
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    border: 1px solid #ced4da;
    border-radius: .25rem;
}

/*avoid blink*/
[v-cloak] {
    display: none;
}


.flatpickr-input {
    background-color: white !important;
}

.force-disabled-color {
    background-color: #e9ecef !important;
}

.table {
    box-shadow: 0 0 1rem rgba(0, 0, 0, .25);
}

.table td, .table th {
    display: flex;
    align-items: center;
}

.required:before {
    content: none !important;
}

.required:after {
    position: absolute;
    content: "*";
    color: #c02b2b;
    right: -10px
}


.ls-seance:before {
    font-size: .9em;
    margin: -2px;

}

.main-margin {
    margin-bottom: 80px;
    margin-top: 80px;
}


.nav-tabs .nav-link {
    border: 1px solid transparent;
    color: var(--bs-ls-grey-400);
}

.nav-tabs .nav-link:hover {
    border-color: transparent transparent;
    border-bottom: 3px solid !important;
    color: var(--bs-ls-grey-500);
}

.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
    color: var(--bs-ls-dark);
    background-color: transparent;
    border-color: transparent transparent;
    border-bottom: 3px solid !important;
    font-weight: bold;
}


input[type="file"].project-file-btn {
    display: none;
}

.project-file-btn {
    border: transparent;
    padding: 6px 12px;
    cursor: pointer;
    display:flex;
    align-items: center;
}
.project-file-btn span {
    margin-right: .3rem;

}


.il-project {
    margin-bottom: 1rem;
    border: 1px solid transparent;
    border-radius: .25rem;
    padding: 10px;
    background-color: var(--bs-ls-grey-100);
    display: flex;
}

.il-project .il-border-right {
    border-right: 2px solid var(--bs-ls-grey-200);
}

.il-project .il-border-right:hover {
    cursor: grab;
}


/*  v-select placeholder color */
.v-select input {
    color: var(--bs-ls-grey-500);
}

.project-item .v-select ul[role="listbox"] {
    position: relative;
}



.annex-item {
    align-items: center;
}




.annex {
    display: flex; justify-content: space-between; align-items: center
}


.annexes .annex:nth-child(2n + 1){
    background-color: var(--bs-ls-grey-200);
}




.project-container {
    display: flex;
}

.project-left {
    border-right: 2px solid var(--bs-ls-grey-200);
    flex: 0 0 10px;
    padding-right: 10px;
    padding-top: 5px;
}


.il-otherdoc {
    margin-bottom: 1rem;
    border: 1px solid transparent;
    border-radius: .25rem;
    padding: 0px;
    background-color: var(--bs-ls-grey-100);
    display: flex;
}

.il-otherdoc .il-border-right {
    border-right: 2px solid var(--bs-ls-grey-200);
}

.il-otherdoc .il-border-right:hover {
    cursor: grab;
}

.otherdoc-left {
    border-right: 2px solid var(--bs-ls-grey-200);
    flex: 0 0 10px;
    padding-right: 10px;
    padding-top: 5px;
}

.otherdoc-right {
    width: 100%;
    padding-left: 10px;
}

.otherdoc-line {
    display: flex;
    align-items: center;
}

.otherdoc-item {
    flex: 1;
    padding: 5px 5px 5px 5px;

}

.project-right {
    width: 100%;
    padding-left: 10px;
}

.rank {
    font-size: 30px;
    border-radius: 10px;
}

.project-line {
    display: flex;
    align-items: center;
}

.project-item {
    flex: 1;
    padding: 5px 5px 5px 5px;

}

.action {
    flex: 0 0 50px
}


.annex-list .annex:nth-child(2n +1) {
    background: var(--bs-ls-grey-200);
}

.annex-list {
    padding-left: 5px;
}


.cursor-grab:hover {
    cursor: grab;
}




.expandable:hover {
    cursor: pointer;
}

.expand-icon::before {
    font-family: "Font Awesome 5 Free";
    font-weight: 500;
    content: "\f0fe ";
}

.collapse-icon::before {
    font-family: "Font Awesome 5 Free";
    font-weight: 500;
    content: "\f146 ";
}

.opacity-full {
    opacity: 1 !important;
}

.custom-file-input ~ .custom-file-label::after {
    content: "Parcourir";
}

.inactiveLine td:not(.actionButton){
    text-decoration: line-through;
    font-style: italic;
    opacity: 0.7;
    color:#a3a3a3;
}

button .small{
    font-size: 75%;
}

.form-select:focus{border-color:#4cabdf;box-shadow:0 0 5px #4cabdf;outline:0}

/* Modal */
.modal-content {
    background-color: var(--bs-white);
    border: 1px solid rgba(0,0,0,.2);
    border-radius: .3rem;
}
.modal-header {
    padding: 1rem;
    border-bottom: 1px solid var(--bs-gray-300);
}
.modal-body {
    padding: 1rem;
}
.modal-footer {
    border-top: 1px solid var(--bs-gray-300);
    padding: 1rem;
}
.modal-footer .btn-outline-primary {
    margin-right: .25rem;
}
.modal-footer .btn-primary {
    margin-left: .25rem;
}

.three-line-max {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
    text-overflow: ellipsis;
}

/* Formulaire */
label {
    font-weight: bold;
}
